//Austria Skybox
textures/ef_austria/austria_skybox
{
	qer_editorimage env/ef_austria/austriasky_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 242 205 133 500 130 55
	q3map_lightRGB 242 205 133
	q3map_surfacelight 275
	q3map_backsplash 0 0
	skyparms env/ef_austria/austriasky - -	
}

//General Shaders
textures/ef_austria/sn_flowers_blue
{
	qer_editorimage textures/ef_austria/sn_flowers_blue.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_austria/sn_flowers_blue.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_austria/flare001
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ef_austria/flare001.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_austria/tudor_window
{
	qer_editorimage textures/ef_austria/tudor_window.tga
	{
		map textures/ef_austria/tinfx.tga
		tcGen environment 
	}
	{
		map textures/ef_austria/tudor_window.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/ef_austria/austria_window
{
	qer_editorimage textures/ef_austria/austria_window.tga
	{
		map textures/ef_austria/tinfx.tga
		tcGen environment 
	}
	{
		map textures/ef_austria/austria_window.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/ef_austria/sn_wood_fence2
{	
	qer_editorimage textures/ef_austria/sn_wood_fence2.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	nopicmip
	{
		map textures/ef_austria/sn_wood_fence2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_austria/tubbanner1new
{
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ef_austria/tubbanner1new.jpg
		rgbGen identity
	}
	{
		map textures/ef_austria/tubbanner1new.jpg
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ef_austria/tubbanner2new
{
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ef_austria/tubbanner2new.jpg
		rgbGen identity
	}
	{
		map textures/ef_austria/tubbanner2new.jpg
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ef_austria/sn_railing
{
	qer_editorimage textures/ef_austria/sn_railing.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_austria/sn_railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_austria/cartwheel
{
      	qer_editorimage textures/ef_austria/cartwheel_128x128.tga
    	surfaceparm trans
	surfaceparm nonsolid
	cull none
      	nopicmip
	{
		map textures/ef_austria/cartwheel_128x128.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_austria/botclip
//modified by RabidCow from original id shader file
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

//Models

models/mapobjects/ef_austria/glass
{
	qer_editorimage models/mapobjects/ef_austria/glass.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_austria/glass.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/ef_austria/glass.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/ef_austria/tree
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/tree3
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/tree4
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/tree5
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/tree6
{
	cull none
	nopicmip

	{
		map models/mapobjects/ef_austria/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/branch_gold
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
		map models/mapobjects/ef_austria/branch_gold.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex  
	}
}

models/mapobjects/ef_austria/bark3_512
{
	q3map_vertexscale 2
	{
		map models/mapobjects/ef_austria/bark3_512.tga
		rgbGen vertex
	}
}

models/mapobjects/ef_austria/branch_orange
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
		map models/mapobjects/ef_austria/branch_orange.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex	   
	} 
}

models/mapobjects/ef_austria/branch_t
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3
	{ 	
		map models/mapobjects/ef_austria/branch_t.tga 
   		alphaFunc GE128  
   		depthwrite
		rgbGen vertex
	} 
}

models/mapobjects/ef_austria/br_flourlight.tga
{
	qer_editorimage models/mapobjects/ef_austria/br_flourlight.tga
	q3map_lightimage models/mapobjects/ef_austria/br_flourlightblend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_austria/br_flourlight.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ef_austria/br_flourlightblend.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}

textures/ef_austria/flour_light1
{
	qer_editorimage textures/ef_austria/flour_light1.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_austria/flour_light1.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map textures/ef_austria/flour_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/ef_austria/finko_light1
{
	qer_editorimage models/mapobjects/ef_austria/finko_light1.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_austria/finko_light1.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ef_austria/finko_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}

//Decal

textures/ef_austria/poster1
{
	qer_editorimage textures/ef_austria/poster1.tga
	q3map_lightmapsampleoffset 8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	q3map_offset 1
	{
		map textures/ef_austria/poster1.tga
		rgbgen exactvertex
	}	
}

textures/ef_austria/poster2
{
	qer_editorimage textures/ef_austria/poster2.tga
	q3map_lightmapsampleoffset 8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	q3map_offset 1
	{
		map textures/ef_austria/poster2.tga
		rgbgen exactvertex
	}	
}