//Skybox

textures/ef_oldaustria/tropseadusk_skybox
{
	qer_editorimage env/ef_oldaustria//tropseadusk_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .96 .82 .51 100 180 30
	q3map_surfacelight 60
	skyparms env/ef_oldaustria/tropseadusk - -
}

// General

textures/ef_oldaustria/tub_ocean
{
	qer_editorimage textures/ef_oldaustria/pool3d_5e.tga
	q3map_globaltexture	
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{
		map textures/ef_oldaustria/pool3d_5e.tga
		tcmod scale .2 .2
    	    	tcmod scroll .04 .03
        		tcMod turb 0 .1 0 .01
	}
}

textures/ef_oldaustria/dawater
{
	qer_editorimage textures/ef_oldaustria/water
	q3map_nolightmap
	qer_trans	0.65
	q3map_material Water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull none
	sort additive
	{
		map textures/ef_oldaustria/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scroll 0.01 0.025
	}
	{
		map textures/ef_oldaustria/oceanwater.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scale 0.25 0.25
		tcMod scroll -0.0075 -0.03
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/oceanglow.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scroll -0.0075 -0.03
		rgbGen wave sin 1 0.05 0 0.5 
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/oceanglow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scale 0.35 0.35
		rgbGen wave sin 1 0.05 0 0.5 
		tcMod scroll -0.05 0.008
		tcMod rotate 4
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/oceanglow3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
		alphaGen vertex
		tcMod scale 0.15 0.15
		tcMod scroll -0.005 0.01
		rgbGen wave sin 1 0.05 0 0.5 
		rgbGen identity
	}
	{
		map textures/ef_austria/tinfx.tga
		blendfunc add
		tcgen environment
	}
}

textures/ef_oldaustria/baslt4_1_2k
{
	qer_editorimage textures/ef_oldaustria/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_oldaustria/tubbanner1
{
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ef_oldaustria/ctf_redflag.tga
		rgbGen identity
	}
        	{
		map textures/ef_oldaustria/blueflagmap.tga
                 		tcGen environment
                		tcmod scale 9 3
                		tcmod scroll .1 .7
                		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/tubbanner1.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/shadow.tga
		tcGen environment 
		blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

textures/ef_oldaustria/tubbanner2
{
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ef_oldaustria/ctf_redflag.tga
		rgbGen identity
	}
        	{
		map textures/ef_oldaustria/blueflagmap.tga
                 		tcGen environment
                		tcmod scale 9 3
                		tcmod scroll .1 .7
                		blendFunc GL_ONE GL_ONE
                		rgbGen identity
	}
	{
		map textures/ef_oldaustria/tubbanner2.jpg
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/shadow.tga
                		tcGen environment 
                		blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

textures/ef_oldaustria/ik_brickwall_grywinclight
{
	qer_editorimage textures/ef_oldaustria/ik_brickwall_grywinclight.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/ik_brickwall_grywinclight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/ik_brickwall_grywinclight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_oldaustria/nsik_brickwall_grywinclight
{
	qer_editorimage textures/ef_oldaustria/ik_brickwall_grywinclight.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/ik_brickwall_grywinclight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/ik_brickwall_grywinclight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_oldaustria/oldwindowlight
{
	qer_editorimage textures/ef_oldaustria/oldwindowlight.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/oldwindowlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/oldwindowlight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_oldaustria/cf_m_win2light
{
	qer_editorimage textures/ef_oldaustria/cf_m_win2light.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	{
		map $lightmap   
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/cf_m_win2light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_oldaustria/cf_m_win2light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ef_oldaustria/vines
{	
    	qer_editorimage textures/ef_oldaustria/vines.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        	nopicmip
	{
		map textures/ef_oldaustria/vines.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Models

models/mapobjects/ef_oldaustria/tree2
{
	qer_editorimage models/mapobjects/ef_oldaustria/tree2.tga
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/ef_oldaustria/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/ef_olaustria/br_floorlamp1
{
	qer_editorimage models/mapobjects/ef_oldaustria/br_floorlamp1.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_oldaustria/br_floorlamp1.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ef_oldaustria/br_floorlamp1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}

models/mapobjects/ef_oldaustria/br_desklamp2
{
	qer_editorimage models/mapobjects/ef_oldaustria/br_desklamp2.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_oldaustria/br_desklamp2.tga
		blendfunc GL_ONE GL_SRC_ALPHA
	}
	{
		map models/mapobjects/ef_oldaustria/br_desklamp2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}

models/mapobjects/ef_oldaustria/front
{
	qer_editorimage models/mapobjects/ef_oldaustria/tvfront.tga
	{
		tcmod scale 1 1
		animmap 0.1 models/mapobjects/ef_oldaustria/tv1.tga models/mapobjects/ef_oldaustria/tv2.tga models/mapobjects/ef_oldaustria/tv3.tga models/mapobjects/ef_oldaustria/tv4.tga models/mapobjects/ef_oldaustria/tv5.tga models/mapobjects/ef_oldaustria/tv6.tga
	}
	{
		map models/mapobjects/ef_oldaustria/tvfront.tga
		rgbgen exactvertex
		blendfunc blend
	}
	{
		map models/mapobjects/ef_oldaustria/tv_fx_2.tga
		blendfunc add
	}
}

